Name: sscep
Version: 0.8.0
Release: 1%{?dist}
Summary: Simple SCEP client for Unix
License: (BSD with attribution) and OpenSSL
URL: https://github.com/certnanny/%{name}
Source0: https://github.com/certnanny/%{name}/archive/v%{version}.tar.gz

BuildRequires: gcc automake autoconf libtool
BuildRequires: openssl-devel >= 1:0.9.7


%description
SSCEP is a client-only implementation of the SCEP (Cisco System's Simple
Certificate Enrollment Protocol). SSCEP is designed for OpenBSD's isakmpd,
but it will propably work with any Unix system with a recent compiler and
OpenSSL toolkit libraries installed.


%prep
%setup -q
./bootstrap.sh
CFLAGS="%{optflags} -fcommon" \
%configure


%build
%make_build


%install
%make_install
rm -f %{buildroot}%{_docdir}/%{name}/COPYING
install -D -m 0644 sscep.conf %{buildroot}%{_sysconfdir}/sscep/sscep.conf
install -D -m 0755 mkrequest %{buildroot}%{_bindir}/mkrequest


%files
%license COPYING
%doc README.md ChangeLog doc/rfc8894.txt
%config(noreplace) %{_sysconfdir}/sscep/sscep.conf
%{_bindir}/sscep
%{_bindir}/mkrequest


%changelog
* Mon Jan 18 2021 Philippe Kueck <projects@unixadm.org> - 0.8.0-1
- initial packaging
